package com.keao.edu.common.exception;

import com.keao.edu.util.string.MessageFormatter;

public class BizException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4562885563376566463L;

	public BizException() {
		super();
	}

	public BizException(String message) {
		super(message);
	}

	public BizException(Throwable cause) {
		super(cause);
	}

	public BizException(String message, Throwable cause) {
		super(message, cause);
	}

	public BizException(String message, Object... arguments) {
		super(MessageFormatter.arrayFormat(message, arguments));
	}

	public BizException(String message, Throwable cause, Object... args) {
		super(MessageFormatter.arrayFormat(message, args), cause);
	}

}
